2318: Update specific entity preferences

2318: Update specific entity preferences

Update entity preference subscription status for given preferences

Endpoint ID:

2318

Method:

PUT

URL:

/preferences/entity/id/{entityID}

/preferences/entity/ext-key/{ext-key}/{ext-type}

 

entityID

Rubiq master ID that uniquely identifies the entity

 

ext-key

External key that uniquely identifies the entity

 

ext-type

Type of external key

Request body:

A JSON object containing the following required propertes:

optIn An array of preferenceIDs of preferences that should be opted-in to

optOut An array of preferenceIDs of preferences that should be opted-out of

optOutReason The reason string which will be set for any preferences which are being opted-out of

{ "optIn": [ "7a6776a3-9411-4d34-9866-99aa9ac7cc27", "dd9eaf78-18ff-44ea-9717-25b103060643" ], "optOut": [], "optOutReason": "No longer interested" }

None

Status codes:

204

OK

 

404

The entity or preference were not found.

The following sub codes may be returned:

404.1 Entity not found

404.2 External entity reference not found

404.4 Preference "preferenceID" not found